#ifdef __BORLANDC__
  #pragma argsused
#endif
#include <iostream.h>
class aparat {
  protected:
  int masa;
  float ognisko;
  bool flash;
};
class aparat_cyfra : public aparat
{
  public:
  void ustaw(float,bool,int,float,bool);
  void odczyt();
  protected:
  float pixel;
  bool film;
};
class aparat_klisza : public aparat
{
  public:
  void ustaw(bool,bool,int,float,bool);
  void odczyt();
  protected:
  bool koddx;
  bool rewind;
};

class aparat_kl_cy : private aparat_klisza,private aparat_cyfra
{
  public:
  void ustaw(float,bool,bool,bool,int,float,bool);
  void odczyt();
 };

void aparat_cyfra::ustaw(float a,bool b,int c,float d,bool e)
  {pixel=a;film=b;masa=c;ognisko=d;flash=e;}

void aparat_cyfra::odczyt()
{cout<<"Aparat cyfrowy"<<"\n";
cout<<"Ile Mpixeli:"<<pixel<<"\n";
cout<<"Nagrywa film:"<<film<<"\n";
cout<<"Masa aparatu:"<<masa<<"\n";
cout<<"Max ogniskowa:"<<ognisko<<"\n";
cout<<"Lampa:"<<flash<<"\n\n";}

void aparat_klisza::ustaw(bool a,bool b,int c,float d,bool e)
  {koddx=a;rewind=b;masa=c;ognisko=d;flash=e;}

void aparat_klisza::odczyt()

  {cout<<"Aparat na klisze"<<"\n";
    cout<<"Czyta kody dx:"<<koddx<<"\n";
  cout<<"Funkcja rewind:"<<rewind<<"\n";
  cout<<"Masa aparatu:"<<masa<<"\n";
  cout<<"Max ogniskowa:"<<ognisko<<"\n";
  cout<<"Lampa:"<<flash<<"\n\n";}

void aparat_kl_cy::ustaw(float a,bool b,bool c,bool d,int e,float f,bool g)
  {pixel=a;film=b;koddx=c;rewind=d;aparat_cyfra::masa=e;aparat_cyfra::ognisko=f;
  aparat_cyfra::flash=g;}

  void aparat_kl_cy::odczyt()

    {cout<<"Aparat 'podwójny'"<<"\n";
    cout<<"Ile Mpixeli:"<<pixel<<"\n";
    cout<<"Nagrywa film:"<<film<<"\n";
      cout<<"Czyta kody dx:"<<koddx<<"\n";
    cout<<"Funkcja rewind:"<<rewind<<"\n";
    cout<<"Masa aparatu:"<<aparat_cyfra::masa<<"\n";
    cout<<"Max ogniskowa:"<<aparat_cyfra::ognisko<<"\n";
    cout<<"Lampa:"<<aparat_cyfra::flash<<"\n\n";}

int main( int argc, char * argv[] )
{
  aparat_klisza aparat1;
  aparat1.ustaw(1,1,350,130,1);
  aparat1.odczyt();
  aparat_cyfra aparat2;
  aparat2.ustaw(3.1,1,300,120,1);
  aparat2.odczyt();
  aparat_kl_cy aparat3;
  aparat3.ustaw(4.1,1,1,0,400,300,1);
  aparat3.odczyt();
  return 0;
}
